Page MenuHomeFreeBSD

Linux ARM v2 1/9
AcceptedPublic

Authored by soutade_gmail.com on Sep 20 2016, 1:58 PM.

Details

Summary

Linux ARM : Add COMPAT_LINUX option to ARM options

Diff Detail

Repository
rS FreeBSD src repository
Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

soutade_gmail.com retitled this revision from to Linux ARM v2 1/9.
soutade_gmail.com updated this object.
soutade_gmail.com edited the test plan for this revision. (Show Details)
soutade_gmail.com set the repository for this revision to rS FreeBSD src repository.
imp accepted this revision.Sep 20 2016, 3:33 PM
imp added a reviewer: imp.
This revision is now accepted and ready to land.Sep 20 2016, 3:33 PM
gonzo edited edge metadata.Sep 29 2016, 4:26 AM

Gregory,

I take it v2 reviews are the ones that are relevant and that should be reviewed/tested. And previous 16 reviews can be closed now? Is that right?

Thank you

In D7970#166887, @gonzo wrote:

Gregory,
I take it v2 reviews are the ones that are relevant and that should be reviewed/tested. And previous 16 reviews can be closed now? Is that right?
Thank you

Right. They're strictly the same (except an update needed to compile in new HEAD) but the first version is more Linux like patchset while the second is FreeBSD style.

gonzo added a comment.Sep 29 2016, 6:13 AM
In D7970#166887, @gonzo wrote:

Gregory,
I take it v2 reviews are the ones that are relevant and that should be reviewed/tested. And previous 16 reviews can be closed now? Is that right?
Thank you

Right. They're strictly the same (except an update needed to compile in new HEAD) but the first version is more Linux like patchset while the second is FreeBSD style.

OK, thanks.

gonzo added a comment.Sep 29 2016, 5:25 PM
In D7970#166887, @gonzo wrote:

Gregory,
I take it v2 reviews are the ones that are relevant and that should be reviewed/tested. And previous 16 reviews can be closed now? Is that right?
Thank you

Right. They're strictly the same (except an update needed to compile in new HEAD) but the first version is more Linux like patchset while the second is FreeBSD style.

Gregory,

Could you close all Linux-style revisions? Go to the bottom of the page and choose "Abandon" action with comment like "Overtaken by D7970 .. D7978". I was going to do it myself but it seems only revision author can abandon it.

Thank you

In D7970#167040, @gonzo wrote:
In D7970#166887, @gonzo wrote:

Gregory,
I take it v2 reviews are the ones that are relevant and that should be reviewed/tested. And previous 16 reviews can be closed now? Is that right?
Thank you

Right. They're strictly the same (except an update needed to compile in new HEAD) but the first version is more Linux like patchset while the second is FreeBSD style.

Gregory,
Could you close all Linux-style revisions? Go to the bottom of the page and choose "Abandon" action with comment like "Overtaken by D7970 .. D7978". I was going to do it myself but it seems only revision author can abandon it.
Thank you

Done

soutade_gmail.com edited edge metadata.

Add sys/conf/files.arm

This revision now requires review to proceed.Sep 30 2016, 6:38 AM
emaste added a subscriber: emaste.Jun 17 2017, 8:59 PM
This revision is now accepted and ready to land.Jun 17 2017, 8:59 PM
emaste added a comment.May 6 2019, 4:15 PM

This should probably come at the end - add the source first, build infrastructure after.

Hello,

This patchset has been created for FreeBSD 11. It has not been tested nor maintened since and I currently don't have time to work on it. I think we can drop it (it can be a base for new contributors).

Thanks

emaste added a comment.May 7 2019, 1:27 PM

Hello,
This patchset has been created for FreeBSD 11. It has not been tested nor maintened since and I currently don't have time to work on it. I think we can drop it (it can be a base for new contributors).
Thanks

Yes, I am updating your patch set so that it can be tested and committed. Some minor work will be required to apply it to -current but it has not changed significantly.